<?php

namespace images;

add_theme_support( 'post-thumbnails' );

// Add additional image sizes
add_image_size('card-xsmall', 220, 130, true);
add_image_size('i-small', 320);
add_image_size('card-small', 300, 286, true);
add_image_size('card-medium', 616, 286, ['x_crop_position' => 'center', 'y_crop_position' => 'top']);
add_image_size('i-medium', 640);
add_image_size('i-large', 1024);
add_image_size('card-large', 1024, 440, true);
add_image_size('i-xlarge', 1920);
add_image_size('card-xlarge', 1920, 440, true);

function url($size, $class = '', $image_id = null) {
    if (is_null($image_id)) {
        $image_id = \get_post_thumbnail_id();
    }

    $url = '';
    $thumb = \wp_get_attachment_image_src($image_id, $size, false);
    if ($thumb) {
        $url = $thumb[0];
    }
    return $url;
}

function tag($size, $class, $image_id = null, $img_props = []) {
    // @TODO: gerar tag alt
    $output = '';
    if ($url = url($size, $class, $image_id)) {
        $props = "";
        foreach ($img_props as $key => $val) {
            $val = htmlentities($val);
            $props .= " {$key}=\"{$val}\"";
        }
        $output = "<img src='{$url}' class='{$class}' {$props}/>";
    }
    return $output;
}
