<?php

/*
  Widget Name: Repositório de Artes
  Description: Destaque do Repositório de Artes
  Author: hacklab/
  Author URI: https://hacklab.com.br/
 */

namespace widgets;

class ArtsRepo extends \SiteOrigin_Widget {

    function __construct() {
        $fields = [
            'background' => [
                'type' => 'select',
                'label' => 'Cor de Fundo',
                'default' => 'dark',
                'options' => [ 'dark' => 'Escuro', 'light' => 'Claro' ]
            ],
            'title' => [
                'type' => 'text',
                'label' => 'Título',
                'default' => 'Repositório de Artes multimídias'
            ],
            'description' => [
                'type' => 'text',
                'label' => 'Descrição',
                'default' => ''
            ],
            'conteudo' => [
                'type' => 'posts',
                'label' => 'Posts',
            ],
        ];

        parent::__construct('arts-repo', 'Repositório de Artes', [
            'panels_groups' => [WIDGETGROUP_MAIN],
            'description' => 'Adiciona um Repositório de Artes'
                ], [], $fields, plugin_dir_path(__FILE__)
        );
    }

    function get_template_name($instance) {
        return 'template';
    }

    function get_style_name($instance) {
        return 'style';
    }

    function get_template_variables($instance, $args) {
        $posts_query_args = siteorigin_widget_post_selector_process_query($instance['conteudo']);

        return ['query_args' => $posts_query_args];
    }
}

Siteorigin_widget_register('arts-repo', __FILE__, 'widgets\ArtsRepo');
