<?php

/*
  Widget Name: Banner Pressione o STF
  Description: Banner Pressione o STF para o Comitê Nacional
  Author: hacklab/
  Author URI: https://hacklab.com.br/
 */

namespace widgets;

class BannerSTF extends \SiteOrigin_Widget {

    function __construct() {
        $fields = [
            'title' => [
                'type' => 'text',
                'label' => __('Título', 'lula'),
                'default' => __('Pressione o  STF agora', 'lula_banner-stf')
            ],
            'description' => [
                'type' => 'text',
                'label' => __('Descrição', 'lula'),
                'default' => __('Envie um email aos ministros de STF para pressionar pela liberdade de Lula', 'lula_banner-stf')
            ],
            'text' => [
                'type' => 'text',
                'label' => __('Texto de Agradecimento', 'lula'),
                'default' => 'Obrigado, sua ação é muito importante! Seu gerenciador de e-mail será aberto com os destinatários e mensagem sugeridos para pressionar o STF, basta enviar o e-mail ;)'
            ],
            'destinatarios' => [
                'type' => 'text',
                'label' => __('Destinatários', 'lula'),
                'description' => 'Separados por vírgula'
            ],

            'subject' => [
                'type' => 'text',
                'label' => __('Assunto', 'lula')
            ],

            'body' => [
                'type' => 'tinymce',
                'label' => __('Corpo do E-mail', 'lula'),
            ],
        ];

        parent::__construct('banner-stf', __('Banner Pressione o STF', 'lula'), [
            'panels_groups' => [WIDGETGROUP_BANNERS],
            'description' => 'Banner Pressione o STF para o Comitê Nacional'
                ], [], $fields, plugin_dir_path(__FILE__)
        );
    }

    function get_template_name($instance) {
        return 'template';
    }

    function get_style_name($instance) {
        return 'style';
    }

}

Siteorigin_widget_register('banner-stf', __FILE__, 'widgets\BannerSTF');
