<?php

/*
Widget Name: Form Cadastro
Description: Adiciona o formulário de cadastro
Author: hacklab/
Author URI: https://hacklab.com.br/
*/

namespace widgets;

class FormCadastro extends \SiteOrigin_Widget {

    function __construct() {

        $fields = [
            'background' => [
                'type' => 'select',
                'label' => 'Cor de Fundo',
                'default' => 'dark',
                'options' => [ 'dark' => 'Escuro', 'light' => 'Claro' ]
            ],
            'title' => [
                'type' => 'text',
                'label' => 'Título',
                'default' => 'A força da nossa resistência depende de você também'
            ],
            'description' => [
                'type' => 'text',
                'label' => 'Descrição',
                'default' => ''
            ],
            'form_id' => [
                'type' => 'text',
                'label' => 'Id do formulário no plugin do mailchimp',
                'default' => 1
            ],
            'list_id' => [
                'type' => 'text',
                'label' => 'Id da lista no mailchimp'
            ],
            'thanks_title' => [
                'type' => 'text',
                'label' => 'título do agradecimento após o envio do cadastro.',
                'default' => "Cadastro concluído"
            ],
            'thanks_text' => [
                'type' => 'textarea',
                'label' => 'texto de agradecimento após o envio do cadastro.',
                'default' => 'Obrigado por se cadastrar'
            ],
        ];

        wp_enqueue_script( 'form-cadastro', get_stylesheet_directory_uri() . '/library/pagebuilder-widgets/form-cadastro/form.js', array( 'jquery', 'jquery-mask' ) );

        parent::__construct('form-cadastro', 'Form Cadastro', [
            'panels_groups' => [WIDGETGROUP_MAIN],
            'description' => 'Adiciona o formulário de cadastro'
                ], [], $fields, plugin_dir_path(__FILE__)
        );
    }

    function get_template_name($instance) {
        return 'template';
    }

    function get_style_name($instance) {
        return 'style';
    }
}

Siteorigin_widget_register('form-cadastro', __FILE__, 'widgets\FormCadastro');
